#
# spec file for package sastroid (Version 1.5)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp svgalib libgpp

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         sastroid
Release:      16
Copyright:    1994 Brad Pitzel
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.5
Summary:      Sasteroids
Source: sast1.5-src.tar.gz
Source1: sast1.5-snd+gfx.tar.gz
Patch: sast1.5.dif
%description
Sasteroids is a game similar to asteroids. The aim is (what else..;) to
shoot every thing that appears on your monitor (asteroids, spaceships).
You should avoid crashing into those asteroids. You collect points
for every destroyed asteroid or spaceship.
This started out as a direct port of xasteroids to run under svgalib
(a wonderful super-vga graphics library by Harm Hanemaayer)
Sasteroids was derived from Phil Goetz's Xasteroids by Brad Pitzel.

Authors:
--------
    Brad Pitzel <pitzel@cs.sfu.ca>

%prep
%setup -n sast1.5 -a 1
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
mkdir -p /var/games/sasteroids
chmod 0777 /var/games/sasteroids
mkdir /usr/doc/packages/sastroid
cp -av 1-* /usr/doc/packages/sastroid
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/sastroid
/usr/doc/packages/sastroid
%dir /usr/games
%dir /var/games
%dir /var/games/sasteroids
/usr/games/sast.cf
/usr/games/sasteroids

